// Write your styles here

//Fonts
$headerFont: "Source Sans Pro", sans-serif;
$textFont: "Hind", sans-serif;
$logFont: "Fresca", sans-serif;

@function color($key) {

  @if map-has-key($colors, $key) {
    @return map-get($colors, $key)
  }

  @return #fff;

}

%headerStyle {
  display: inline-block;
  color: color(darkText);
  font-family: $headerFont;
  font-weight: 700;
  background-image: linear-gradient(color(secondary), color(secondary));
  background-origin:content-box;
  background-repeat:no-repeat;
}

@mixin button ($fontSize: 1.8rem) {
  display: inline-block;
  padding: 1.6rem 4.6rem;
  background-color: color(primary);
  color: color(whiteText);
  font-size: $fontSize;
  font-weight: 600;
  border-radius: 3px;
  border: none;
}

@mixin link ($fontSize: 1.8rem, $fontWeight: 600, $color: color(whiteText)) {
  color: $color;
  font-size: $fontSize;
  text-decoration: underline;
  font-weight: $fontWeight;
}

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  /*This defines what 1rem is:
  font-size - 10px =>  10px/16px= 0.625  */
  font-size: 62.5%;
}

body {
  box-sizing: border-box;
  background-color: color(background);
  color: color(whiteText);
  font-family: $textFont;
  font-weight: 400;
}

a, button {
  cursor: pointer;
}

.landing-logo {
  width: 13rem;
  height: 4rem;
  display: flex;
  justify-content: space-around;
  font-family: $logFont;
  font-size: 2.6rem;
  color: color(darkText);

  p {
    display: flex;
    flex-direction: column;
    align-items: center;

    span {
      display: inline-block;
      font-size: 1rem;
    }

  }

}

.login {
  @include link;
}

.header {
  height: 71rem;
  padding-top: 1rem;
  padding-left: 18rem;
  background-image: url($headBackground);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  border-bottom-right-radius: 60% 35%;

  &-wrap {
    width: 67rem;
    height: 80%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: start;

    div:last-child {
      width: 75%;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

  }


  &_heading {
    @extend %headerStyle;
    font-size: 7rem;
    line-height: 0.9;
    background-size: 44% 35%;
    background-position: 0% 98%;
  }

  &_text {
    color: color(darkText);
    font-size: 1.6rem;
    line-height: 1.8;
  }

  &_button {
    @include button;
  }

}

.section {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: color(background);
  margin-top: -25rem;
  padding-top: 30rem;

  &_text {
    width: 42rem;
    @extend %headerStyle;
    font-size: 3.8rem;
    background-size: 42% 95%;
    background-position: 82% 83%;
    margin-bottom: 4rem;
  }

  &_link {
    @include link(1.8rem, 400, color(lightGray))
  }

  &_card {
    display: flex;
    width: 112rem;
    height: 33rem;
    background-color: color(backgroundBlock);
    border: none;
    border-radius: 4px;
    padding: 1.6rem;

    &:not(:last-child) {
      margin-bottom: 2.5rem;
    }

    &:last-child{
      margin-bottom: 5rem;
    }

    &_img {
      display: inline-block;
      height: 100%;
      margin-right: 6rem;
    }

    &_heading {
      font-size: 2.4rem;
      font-weight: 600;
    }

    &_right_container {
      width: 50rem;
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      align-items: center;
    }

    &_text {
      font-size: 1.6rem;
      color: color(lightGray);
      line-height: 1.8;
    }

  }

  &_banner {
    position: relative;
    bottom: -7.7rem;
    width: 120rem;
    height: 15rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: none;
    border-radius: 4px;
    background-image: linear-gradient(
                    to right,
                    color(primary),
                    color(bannerSecondary));
    background-size: cover;


    &_heading {
      @extend %headerStyle;
      font-size: 2.4rem;
      background-size: 16% 98%;
      background-position: 35% 95%;
      margin-bottom: 2rem;
    }

    &_text {
      color: color(lightGray);
      font-size: 1.6rem;
    }

    &_text_wrap{
      width: 42rem;
    }

    &_button {
      @include button;
    }

  }

}

.footer {
  background-color: color(backgroundBlock);
  width: 100%;
  height: 24rem;
  padding-left: 18rem;
  padding-top: 12rem;

  &_logo {
    color: color(lightGray);
  }

  &-wrap {
    width: 85%;
    height: 10rem;
    color: color(lightGray);
    display: flex;
    justify-content: space-between;
  }

  &-cr {
    display: inline-block;
    font-size: 1.8rem;
  }

  &_text {
    font-size: 1.6rem;
    width: 30rem;
    text-align: left;
  }

}
